{{ $currentLang := site.Language.Lang -}}
{{ if eq $currentLang "fr" -}}

    {{- $content := . -}}
    <!-- # Ordinaux -->
    {{ $content = $content | replaceRE "(\\s)(\\d+)(e|è)(r|me)?([\\s.,])" "$1$2<sup>$3$4</sup>$5" -}}
    <!-- # Symbole numéro -->
    {{- $content = $content | replaceRE "n°\\s*(\\d)" "n<sup>o</sup>&#8239;$1" -}}
    <!-- # Guillemets français -->
    {{- $content = $content | replaceRE "(«)( )" "$1&#8239;" -}}
    {{- $content = $content | replaceRE "( )(»)" "&#8239;$2" -}}
    <!-- # Espace insécable avant '%', '‰' et les unités de mesure (< 4 lettres) -->
    {{- $content = $content | replaceRE "(\\s)+(\\d+)(\\s)+([a-zA-Z]|%|‰)" "$1$2&nbsp;$4$5" -}}
    <!-- # Espace fine insécable avant ;';' '!', '?' -->
    {{- $content = $content | replaceRE "( )([;?!])" "&#8239;$2" -}}
    <!-- # Espace insécable avant ':' -->
    {{- $content = $content | replaceRE "( )([:])" "&nbsp;$2" -}}
    <!-- # Symboles monétaire -->
    {{- $content = $content | replaceRE "(\\d+)\\s*(\\$|€|£)" "$1&nbsp;$2" -}}
    <!-- # Signe multiplier -->
    {{/*  {{- $content = $content | replaceRE "(\\s)+(\\d+)(\\s)*x(\\s)*(^\\d)" "$1$2&nbsp;&times;&nbsp;$5" }}  */}}
    <!-- # Point median accessible : dont être activé dans la config du site -->
    {{ if eq site.Params.pointMedian true }}
    {{ $content = $content | replaceRE "(\\p{L}+)(·\\p{L}+)((·)(\\p{L}+))?" "$1<span aria-hidden=\"true\">$2$4</span>$5" }}
    {{ end }}
    <!-- Génération du contenu -->
    {{- $content | safeHTML -}}

{{ else -}}
    {{ . }}
{{- end -}}